<html>
<head>
<title>Ogre::SceneQueryListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SceneQueryListener.html">SceneQueryListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SceneQueryListener Class Reference<div class="ingroups"><a class="el" href="group__Scene.html">Scene</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SceneQueryListener" -->
<p>This optional class allows you to receive per-result callbacks from <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> executions instead of a single set of consolidated results.  
 <a href="classOgre_1_1SceneQueryListener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::SceneQueryListener:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1SceneQueryListener__inherit__graph.gif" border="0" usemap="#Ogre_1_1SceneQueryListener_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1SceneQueryListener_inherit__map" id="Ogre_1_1SceneQueryListener_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1RegionSceneQuery.html" title="Abstract class defining a query which returns single results from a region." alt="" coords="323,59,493,88"/><area shape="rect" id="node17" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html" title="Inner class to use as callback for shadow caster scene query." alt="" coords="229,112,587,141"/><area shape="rect" id="node5" href="classOgre_1_1AxisAlignedBoxSceneQuery.html" title="Specialises the SceneQuery class for querying within an axis aligned box." alt="" coords="664,5,885,35"/><area shape="rect" id="node9" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html" title="Specialises the SceneQuery class for querying within a plane&#45;bounded volume." alt="" coords="636,59,913,88"/><area shape="rect" id="node13" href="classOgre_1_1SphereSceneQuery.html" title="Specialises the SceneQuery class for querying within a sphere." alt="" coords="689,112,860,141"/><area shape="rect" id="node7" href="classOgre_1_1DefaultAxisAlignedBoxSceneQuery.html" title="Default implementation of AxisAlignedBoxSceneQuery." alt="" coords="992,5,1256,35"/><area shape="rect" id="node11" href="classOgre_1_1DefaultPlaneBoundedVolumeListSceneQuery.html" title="Default implementation of PlaneBoundedVolumeListSceneQuery." alt="" coords="964,59,1284,88"/><area shape="rect" id="node15" href="classOgre_1_1DefaultSphereSceneQuery.html" title="Default implementation of SphereSceneQuery." alt="" coords="1017,112,1231,141"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1SceneQueryListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQueryListener.html#ad0ea5280ec1032a5170999eb7ae3fb2b">~SceneQueryListener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQueryListener.html#a70936d2cd7413dd284faef05528ddb92">queryResult</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *object)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> is returned by a query.  <a href="#a70936d2cd7413dd284faef05528ddb92"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQueryListener.html#ac17a072217f44693bb45ecbcd1623611">queryResult</a> (<a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *fragment)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a WorldFragment is returned by a query.  <a href="#ac17a072217f44693bb45ecbcd1623611"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This optional class allows you to receive per-result callbacks from <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> executions instead of a single set of consolidated results. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You should override this with your own subclass. Note that certain query classes may refine this listener interface. </dd></dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00186">186</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad0ea5280ec1032a5170999eb7ae3fb2b"></a><!-- doxytag: member="Ogre::SceneQueryListener::~SceneQueryListener" ref="ad0ea5280ec1032a5170999eb7ae3fb2b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1SceneQueryListener.html#ad0ea5280ec1032a5170999eb7ae3fb2b">Ogre::SceneQueryListener::~SceneQueryListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00189">189</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a70936d2cd7413dd284faef05528ddb92"></a><!-- doxytag: member="Ogre::SceneQueryListener::queryResult" ref="a70936d2cd7413dd284faef05528ddb92" args="(MovableObject *object)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1SceneQueryListener.html#a70936d2cd7413dd284faef05528ddb92">Ogre::SceneQueryListener::queryResult</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when a <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> is returned by a query. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#ae5790f3c5368f8157c72a2d4092e67c6">Ogre::SceneManager::ShadowCasterSceneQueryListener</a>, and <a class="el" href="classOgre_1_1RegionSceneQuery.html#a49641297f4affe82b8e9f8b9ab3ff9f4">Ogre::RegionSceneQuery</a>.</p>

</div>
</div>
<a class="anchor" id="ac17a072217f44693bb45ecbcd1623611"></a><!-- doxytag: member="Ogre::SceneQueryListener::queryResult" ref="ac17a072217f44693bb45ecbcd1623611" args="(SceneQuery::WorldFragment *fragment)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1SceneQueryListener.html#a70936d2cd7413dd284faef05528ddb92">Ogre::SceneQueryListener::queryResult</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *&#160;</td>
          <td class="paramname"><em>fragment</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called when a WorldFragment is returned by a query. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#a3ed87926c960fcea5fa701b61c92cd2c">Ogre::SceneManager::ShadowCasterSceneQueryListener</a>, and <a class="el" href="classOgre_1_1RegionSceneQuery.html#ae52b991bb3e6ecdb688c3d06d245c468">Ogre::RegionSceneQuery</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
